[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Can't compile gdb-4.17

On Wed, 21 Oct 1998, Jose Rodriguez wrote:

> infptrace.c:206: `PTRACE_ATTACH' undeclared (first use this function)
> infptrace.c:206: (Each undeclared identifier is reported only once
> infptrace.c:206: for each function it appears in.)
> infptrace.c: In function `detach':
> infptrace.c:222: `PTRACE_DETACH' undeclared (first use this function)
> make[2]: *** [infptrace.o] Error 1
> make[2]: Leaving directory `/usr/src/gdb-4.17/gdb'
> make[1]: *** [all-gdb] Error 2
> make[1]: Leaving directory `/usr/src/gdb-4.17'
> make: *** [build] Error 2
> Note: PTRACE_DETACH and PTRACE_ATTACH is defined in </sys/ptrace.h>, but
> this file is not included due to a #define NO_PTRACE. Any ideas?

Upgrade your libc6.

> I remember I could compile gdb-4.16 succesfully under Debian Bo 1.3.1

Yes, but 1.3.1 was libc5 based, and there were _MANY_ changes between gdb
4.16 and 1.17...


- Vincent RENARDIAS    vincent@{{waw,pipo}.com,{debian,openhardware}.org} -
- Debian/GNU Linux:        Open Hardware:              WAW:               -
- http://www.fr.debian.org http://www.openhardware.org http://www.waw.com -
-"Depuis que ma voiture et mon ordinateur tournent au GPL, les 2 marchent -
- beaucoup mieux et pour moins cher... (Linux: Le seul OS non-polluant!)" -

Reply to: